
// @use has to be called before @import
// angular material theme mixins and functions
@use "@angular/material" as mat;

// custom theme mixins
@use "./dist/shared-lib/theme-mixins/footer-theme" as footer;
@use "./dist/shared-lib/theme-mixins/stepper-theme" as stepper;
@use "./dist/shared-lib/theme-mixins/workflow-panel-theme" as panel;

// TODO bring back
@use '../../../themes/mpa-cloud-theme.scss' as mpa-cloud-theme;
@use '../../../themes/theme-mixins.scss' as mixins;

// angular material core styles
@include mat.core();

// custom theme
@import "../../../themes/mpa-cloud-theme.scss";

// applies angular material typography styles
@include mat.all-component-typographies();
// applies custom theme to angular material components
@include mat.all-component-themes($mpa-cloud-theme);
// overrides styles of angular material components

// TODO: Check what we need from here ..
// @import "./material-style-overrides.scss";

@import "../../../node_modules/bootstrap/dist/css/bootstrap.css";

// NEW MPA SPECIFIC STYLING (NOV. 2024)
@import "./stylesheets/mpa-styles.scss";

// applies custom theme to custom component
@include footer.theme($mpa-cloud-theme);
@include stepper.theme($mpa-cloud-theme);
@include panel.theme($mpa-cloud-theme);

// Extract the active background color from the app's primary palette
$active-link-color: mat.m2-get-color-from-palette($deNBI, 200);
$active-link-background-color: mat.m2-get-color-from-palette($deNBI, 200);
:root {
  --active-link-bg-color: #{$active-link-color};
  --active-link-background-color: #{$active-link-color};
}

body {
  font-family: "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell",
    "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial",
    sans-serif;
  font-size: 14px;
  text-align: center;
}

html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
}


// TEST MATERIAL TAB OVERRIDE
// .mat-tab-body-content {
//   cdkS
// }

.divider-line {
  display: flex;
  align-items: center;
  width: 100%;
  padding: 0.75rem 0 0.75rem 0;
  color: #495057;
}

.divider-line::after {
  content: "";
  height: 1px;
  background-color: rgba(0, 0, 0, 0.125);
  flex-grow: 1;
  margin-left: 0.2rem;
}

custom-table-warning {
  background-color: #f8d7da;
}

.custom-tab-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1em;
  padding: 1em;
}

.custom-tab-box-centered {
  justify-content: center;
}

.custom-tab-box-left-justified {
  justify-content: flex-start;
}

.custom-card-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.custom-select {
  display: inline-block;
  height: calc(1.5em + 0.75rem + 2px);
  // padding, color arrow
  padding: 0.375rem 1rem 0.375rem 0.75rem;
  color: #495057;
  // select options
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  text-align: left;

  vertical-align: middle;
  background: #fff;
  // background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e")
  //   right 0.75rem center/8px 10px no-repeat #fff;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.custom-file {
  width: 100%;
  // position: relative;
  // font-size: 1rem;
  // height: calc(1.5em + 0.75rem + 2px);
  // margin-bottom: 0;
}

.custom-file-input:lang(en) ~ .custom-file-label::after {
  width: 20%;
  content: "Browse";
}

.custom-file-label::after {
  // position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  //z-index: 3;
  display: block;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  line-height: 1.5;
  color: #495057;
  content: "Browse";
  background-color: #e9ecef;
  border-left: inherit;
  // border-radius: 0 0.25rem 0.25rem 0;
}

*,
::after,
::before {
  box-sizing: border-box;
}

.custom-file-input {
  position: relative;
  z-index: 2;
  height: calc(1.5em + 0.75rem + 2px);
  margin: 0;
  opacity: 0;
}

.custom-file-label {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 0 0.25rem 0.25rem 0;
}

.responsive-job-card {
  width: 100%;
  /*flex-shrink: 1;*/
  /*flex-grow: 1;*/
  min-height: 0;
  display: flex;
  flex-direction: column;
}

.content-grid-container {
  height: 100%;
  box-sizing: border-box;
  padding-top: 3rem;
  padding-bottom: 3rem;
  display: grid;
  grid-template-columns: [left] minmax(250px, 1fr) [center-left] minmax(
      600px,
      2fr
    ) [center-right] 1fr [right];
  grid-gap: 1rem;
  justify-items: stretch;
}

.centerd-grid {
  height: 100%;
  display: grid;
  grid-template-columns: [left] 1fr [center-left] minmax(600px, 2fr) [center-right] 1fr [right];
  grid-template-rows: [top] 1fr [upper-center] minmax(200px, 2fr) [lower-center] 1fr [bottom];
}

.centered-item {
  grid-column-start: center-left;
  grid-row-start: upper-center;
}

.center-image {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.horizontally-centered-item {
  grid-column-start: center-left;
}

.min-width-25 {
  min-width: 25%;
}

.table-element-row {
  cursor: pointer;
}

.table-element-row:hover {
  background: #f5f5f5;
}

.table-highlight-row {
  background: #ffdbd6;
}

.table-highlight-row:hover {
  background: #f5d3d3;
  cursor: pointer;
}

.cdk-visually-hidden {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  outline: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.cdk-global-overlay-wrapper,
.cdk-overlay-container {
  pointer-events: none;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}

.cdk-overlay-container {
  position: fixed;
  z-index: 1000;
}

.cdk-overlay-container:empty {
  display: none;
}

.cdk-global-overlay-wrapper {
  display: flex;
  position: absolute;
  z-index: 1000;
}

.cdk-overlay-pane {
  position: absolute;
  pointer-events: auto;
  box-sizing: border-box;
  z-index: 1000;
  display: flex;
  max-width: 100%;
  max-height: 100%;
}

.cdk-overlay-backdrop {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  pointer-events: auto;
  -webkit-tap-highlight-color: transparent;
  transition: opacity 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
  opacity: 0;
}

.cdk-overlay-backdrop.cdk-overlay-backdrop-showing {
  opacity: 1;
}

@media screen and (-ms-high-contrast: active) {
  .cdk-overlay-backdrop.cdk-overlay-backdrop-showing {
    opacity: 0.6;
  }
}

.cdk-overlay-dark-backdrop {
  background: rgba(0, 0, 0, 0.32);
}

.cdk-overlay-transparent-backdrop,
.cdk-overlay-transparent-backdrop.cdk-overlay-backdrop-showing {
  opacity: 0;
}

.cdk-overlay-connected-position-bounding-box {
  position: absolute;
  z-index: 1000;
  display: flex;
  flex-direction: column;
  min-width: 1px;
  min-height: 1px;
}

.cdk-global-scrollblock {
  position: fixed;
  width: 100%;
  overflow-y: scroll;
}

@keyframes cdk-text-field-autofill-start {
  /*!*/
}

@keyframes cdk-text-field-autofill-end {
  /*!*/
}

.cdk-text-field-autofill-monitored:-webkit-autofill {
  animation-name: cdk-text-field-autofill-start;
}

.cdk-text-field-autofill-monitored:not(:-webkit-autofill) {
  animation-name: cdk-text-field-autofill-end;
}

textarea.cdk-textarea-autosize {
  resize: none;
}

textarea.cdk-textarea-autosize-measuring {
  height: auto !important;
  overflow: hidden !important;
  padding: 2px 0 !important;
  box-sizing: content-box !important;
}

.card-title-button-wrapper {
  float: right;
  font-size: 14px;
}

/*custom*/
.input-group-text {
  width: 13em;
}

.custom-file-label {
  white-space: nowrap;
  overflow: hidden;
}

.ml-summary-col {
  width: 15em !important;
}

.rki-blue-divider {
  border-top-color: rgba(0, 63, 151, 1) !important;
}

.w-sbtn {
  width: 3em;
}

.jobStepper {
  width: 17em !important;
}

.ml-job-form {
  margin-left: 20px !important;
}

.jobCards {
  width: calc(100% - 18em);
  margin-left: 0px !important;
}

.content_and_footer {
  display: flex;
  min-height: 100vh;
  flex-direction: column;
}

.content-view {
  flex: 1;
}

.no-border {
  border: 0;
}

.min-w-600 {
  min-width: 600px !important;
}

.uploadprogress {
  width: 40em;
  display: flex;
  align-items: center;
  justify-content: center;
}

.uploadprogresstext {
  color: #003f97 !important;
  font-size: 30px !important;
  text-align: center !important;
  justify-content: center !important;
}

.uploadsuccesstext {
  color: #009300 !important;
  font-size: 30px !important;
  text-align: center !important;
  justify-content: center;
}

.table-warning {
  background-color: #f8d7da !important;
}

.alert {
  padding: 20px;
  background-color: #f44336;
  /* Red */
  color: white;
  margin-bottom: 25px;
}

button:focus,
button:active:focus,
button.active:focus {
  outline: none !important;
  outline-style: none !important;
}

.startbox {
  width: 100%;
  display: -ms-inline-flexbox;
  display: -webkit-inline-flex;
  display: inline-flex;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-align-content: flex-start;
  -ms-flex-line-pack: start;
  align-content: flex-start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
}

.startbox-content {
  margin-left: 30px;
  text-align: left;
}

.startbox-item {
  margin: 1em;
  width: 35em;
  height: 10em;
  -webkit-order: 0;
  -ms-flex-order: 0;
  order: 0;
  -webkit-flex: 0 1 auto;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
  -webkit-align-self: auto;
  -ms-flex-item-align: auto;
  align-self: auto;
  padding: 15px;
}

.startbox-item-title {
  font-weight: bold;
  margin-bottom: 15px;
  display: block;
  font-size: 1.4em;
}

.showpointer:hover {
  box-shadow: 0 0 10px rgba(0, 63, 151, 1);
}

.showpointer {
  cursor: pointer;
}

.footer {
  color: rgba(0, 0, 0, 0.5);
  background-color: rgba(0, 0, 0, 0.04);
  font-family: Roboto, "Helvetica Neue", sans-serif;
  font-size: 12px;
  height: 140px;
}

.footer ul {
  float: right;
  margin-left: 3em;
  list-style-type: none;
}

.footer ul:first-child {
  margin-right: 2em;
}

.footer ul:last-child {
  margin-left: 0;
}

.footer ul li {
  flex: 1 0 25%;
}

.footer ul li:first-child {
  font-weight: bold;
}

.content-container {
  min-height: calc(100vh - 140px);
  padding-bottom: 3em;
}

.footer a:link,
.footer a:visited,
.footer a:hover,
.footer a:active {
  color: rgba(0, 0, 0, 0.5);
}

.footer a:hover {
  text-decoration: underline;
}

.jobcontrol {
  max-width: 1000px;
  margin-left: auto;
  margin-right: auto;
}

.legal-text {
  font-size: 14px;
  max-width: 750px;
  margin-left: 2em;
  margin-right: 2em;
}

.legal-text h1 {
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 25px;
}

.legal-text h2 {
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 25px;
}

.legal-text h3 {
  font-size: 14px;
  font-weight: bold;
  margin-top: 25px;
  margin-bottom: 10px;
}

.legal-text h4 {
  font-size: 14px;
  font-weight: bold;
  margin-top: 10px;
  margin-bottom: 10px;
  font-style: italic;
}

.consent-wrapper {
  z-index: 100000000000;
  margin-top: -10px;
}

.policy-consent {
  display: flex;
  align-items: center;
  color: white;
  height: 100px;
  margin: 10px 20px;
}

.policy-consent a:link,
.policy-consent a:visited,
.policy-consent a:hover,
.policy-consent a:active {
  color: white;
  text-decoration: underline;
}

.policy-consent a:hover {
  color: #fffc26;
  text-decoration: underline;
}

.policy-consent button {
  background-color: #f1d600;
  margin-left: 25px;
  width: 150px;
}

.policy-consent button:hover {
  background-color: #fffc26;
}

.sticky-top {
  position: sticky;
  top: 0;
  z-index: 900 !important;
}

.divider-line {
  display: flex;
  align-items: center;
  width: 100%;
  padding: 0.75rem 0 0.75rem 0;
  color: #495057;
}

.divider-line::after {
  content: "";
  height: 1px;
  background-color: rgba(0, 0, 0, 0.125);
  flex-grow: 1;
  margin-left: 0.2rem;
}

custom-table-warning {
  background-color: #f8d7da;
}

.custom-tab-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1em;
  padding: 1em;
}

.custom-tab-box-centered {
  justify-content: center;
}

.custom-tab-box-left-justified {
  justify-content: flex-start;
}

.custom-card-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.custom-tabs .mat-tab-body-content {
  overflow: hidden;
  height: 100%;
}

.custom-tabs .mat-tab-body-wrapper {
  height: 100%;
}

.custom-select {
  display: inline-block;
  max-width: 25%;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 1.75rem 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  vertical-align: middle;
  background: #fff;
  // background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e")
  //   right 0.75rem center/8px 10px no-repeat #fff;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.custom-file {
  position: relative;
  display: inline-block;
  width: 25%;
  height: calc(1.5em + 0.75rem + 2px);
  margin-bottom: 0;
}

.custom-file-input:lang(en) ~ .custom-file-label::after {
  content: "Browse";
}

.custom-file-label::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 3;
  display: block;
  height: calc(1.5em + 0.75rem);
  padding: 0.375rem 0.75rem;
  line-height: 1.5;
  color: #495057;
  content: "Browse";
  background-color: #e9ecef;
  border-left: inherit;
  border-radius: 0 0.25rem 0.25rem 0;
}

*,
::after,
::before {
  box-sizing: border-box;
}

.custom-file-input {
  position: relative;
  z-index: 2;
  height: calc(1.5em + 0.75rem + 2px);
  margin: 0;
  opacity: 0;
}

.custom-file-label {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 0 0.25rem 0.25rem 0;
}

.responsive-job-card {
  width: 100%;
  /*flex-shrink: 1;*/
  /*flex-grow: 1;*/
  min-height: 0;
  display: flex;
  flex-direction: column;
}

.content-grid-container {
  height: 100%;
  box-sizing: border-box;
  padding-top: 3rem;
  padding-bottom: 3rem;
  display: grid;
  grid-template-columns:
    [left] minmax(250px, 1fr) [center-left] minmax(600px, 2fr)
    [center-right] 1fr [right];
  grid-gap: 1rem;
  justify-items: stretch;
}

.centerd-grid {
  height: 100%;
  display: grid;
  grid-template-columns: [left] 1fr [center-left] minmax(600px, 2fr) [center-right] 1fr [right];
  grid-template-rows: [top] 1fr [upper-center] minmax(200px, 2fr) [lower-center] 1fr [bottom];
}

.centered-item {
  grid-column-start: center-left;
  grid-row-start: upper-center;
}

.center-image {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.horizontally-centered-item {
  grid-column-start: center-left;
}

.min-width-25 {
  min-width: 25%;
}

.table-element-row {
  cursor: pointer;
}

.table-element-row:hover {
  background: #f5f5f5;
}

.table-highlight-row {
  background: #ffdbd6;
}

.table-highlight-row:hover {
  background: #f5d3d3;
  cursor: pointer;
}
